Vraag & Antwoord

OS Linux

programma installeren en Linux updaten

Anoniem
None
14 antwoorden
  • Ik heb dus Libranet geinstalleerdt. Dit in tegenstelling tot Susue
    Suse wordt wel geinstaleerdt. Maar 5x 750Mb downloaden duurt nou eenmaal wat langer.

    Ik heb dus 2 vragen:

    1- Hoe installeer ik Mozilla 1.5 (staat in home/evert)

    2- Hoe update ik Libranet?

    ik moet toegeven dat ik een wellicht onbekende distro heb, maar het was maar 600mb om te downloaden.
    Libranet is gebasseerdt op debian.
  • [quote:73bce98a83="windowsXP-PRO"]1- Hoe installeer ik Mozilla 1.5 (staat in home/evert) [/quote:73bce98a83] Ik neem aan dat je deze bedoeld.
    [code:1:73bce98a83]
    mozilla-i686-pc-linux-gnu-1.5-sea.tar.gz
    [/code:1:73bce98a83]
    Na het uitpakken
    [code:1:73bce98a83]
    tar -xzvf mozilla-i686-pc-linux-gnu-1.5-sea.tar.gz
    [/code:1:73bce98a83]
    cd mozilla-installer
    Dan
    [code:1:73bce98a83]
    xhost +localhost
    [/code:1:73bce98a83]
    En
    [code:1:73bce98a83]
    su -c ./mozilla-installer
    [/code:1:73bce98a83]
    Verder de instructies op het scherm volgen.
    [quote:73bce98a83="windowsXP-PRO"]2- Hoe update ik Libranet? [/quote:73bce98a83]
    Met apt-get http://www.linuxmafia.com/~rick/linux-info/libranet-to-debian
  • dank Jolo
    gaat lukken :D
  • Even een aanvulling voor de multi-user installatie:
    http://www.mozilla.org/docs/end-user/guide/get-started.html#installing-on-linux
  • :lol: :lol: :lol: :lol: :lol:
    Gelukt :D :D :D :D

    Grandioos
    Werkelijk. Ik kan de hele distro upgraden :lol: :lol: :lol: :lol:
    Er rest mij nog 325Mb :lol: :lol: om te downloaden. :lol: :lol: :lol:

    Dat wordt as zaterdag

    Ik heb wel een vraag:

    Ik kan moziilla 1.5 nergens vinden in de KDE lijst (start in W…..s) 8)
    wel is 1.0 te starten.
    Kan ik 1.0 verwijderen??

    Lang Leve Linux 8) 8) 8) 8)
  • Je kunt 1.0 denk ik wel verwijderen. alleen 't kan zo zijn dat als je op een link klikt in een progje mozilla 1.0 gestart moet worden. Dus dan zou je dat moeten aanpassen.
    Maar ik weet niet hoe dat in jou distro zit
  • [quote:cc36aed011="windowsXP-PRO"]Ik kan moziilla 1.5 nergens vinden in de KDE lijst (start in W…..s)[/quote:cc36aed011] Als je gebruik maakt van KDE, start Konqueror. Ga naar /usr/local/mozilla. Daar staat een script met de naam mozilla. Met je muis sleep je dat script naar een lege plek op de KDE Desktop, en klikt op Hierheen verbinden. Als je Mozilla wilt starten via de KDE menu, dan kan je dat instellen via de KDE menu editor.
  • De oude Mozilla kun je verwijderen met behulp van yast2.
    De nieuwe Mozilla staat in /usr/local, terwijl de oude in /usr staat. Hierdoor zal het verwijderen van de oude geen effect hebben op de nieuwe.

    Doordat de oude is verwijderd zal volgens mij de nieuwe automatisch vooraan in het zoekpad van Linux komen te staan, zodat evt menukoppelingen die je nu hebt automatisch de oude starten (uitgaande dat die geen absolute paden gebruiken voor het commando om mozilla te starten..)

    Max
  • [quote:07c4b6f0b7="maximilaan"]De oude Mozilla kun je verwijderen met behulp van yast2.[/quote:07c4b6f0b7]

    Nietwaar, "apt-get remove mozilla", hij gebruikt Libranet (Debian) ;).
  • Waarschijnlijk draai je Libranet 2.7 classic. Is het dan niet verstandiger het te updaten naar Debian testing? Dan heb je de nieuwste software, waaronder Mozilla Firebird, etc. Bovendien installeer je dan de boel met APT en wordt mozilla automatisch geupdated met een "apt-get update && apt-get upgrade".

    sources.list komt er dan bijvoorbeeld als volgt uit te zien:

    [code:1:06d4a96de9]
    deb ftp://ftp.debian.org/debian sarge main contrib non-free
    deb-src ftp://ftp.debian.org/debian sarge main contrib non-free

    deb ftp://security.debian.org/debian-security sarge/updates main contrib non-free
    deb ftp://security.debian.org/debian-security stable/updates main contrib non-free
    deb-src ftp://security.debian.org/debian-security sarge/updates main contrib non-free
    deb-src ftp://security.debian.org/debian-security stable/updates main contrib non-free
    [/code:1:06d4a96de9]

    Na een "apt-get update" en "apt-get dist-upgrade" heb je dan weer een helemaal vers systeem.
  • [quote:0f45b362ae="danieldk"]
    Nietwaar, "apt-get remove mozilla", hij gebruikt Libranet (Debian) ;).[/quote:0f45b362ae]

    Hmm, niet bij te houden die XP :)

    Maar dan had hij Mozilla ook wel kunnen opwaarderen via apt-get.
    scheelt je weer enkele handelingen…

    Max
  • [quote:9e7d9e7931="danieldk"]verstandiger het updaten naar Debian testing?

    deb ftp://security.debian.org/debian-security sarge/updates main contrib non-free
    [/quote:9e7d9e7931]
    Sinds wanneer worden er security releasese gedaan voor testing?

    Ik raad mensen aan om te kiezen tussen stable of unstable.
    Testing is in sommige gevallen niet veel nieuwer dan stable terwijl eventuele problemen lang op een update moeten wachten.

    Stable is voor een desktop wel een beetje oud, maar overigens zeer solide.

    Unstable verandert dagelijks. Dit betekent twee dingen. Iets wat werkt, kan morgen kapot zijn. En dat wat kapot is, is waarschijnlijk morgen weer gefixed.
  • [quote:670ad7a4a9="robian"]
    Sinds wanneer worden er security releasese gedaan voor testing?
    [/quote:670ad7a4a9]

    Ik stond er ook vreemd van te kijken, maar ze zijn er blijkbaar serieus ;). Libranet 2.8.0 gebruikt dat repositoir, en ik heb wel eens gechecked, het bestaat ook gewoon.

    [quote:670ad7a4a9]
    Ik raad mensen aan om te kiezen tussen stable of unstable.
    Testing is in sommige gevallen niet veel nieuwer dan stable terwijl eventuele problemen lang op een update moeten wachten.
    [/quote:670ad7a4a9]

    Testing is veel meer up-to-date dan stable (ik heb voor werk testing gedraait), unstable heeft te vaak problemen. Als er bijvoorbeeld een nieuwe gcc in unstable komt breken er heel erg veel packages, daar heb je in testing geen last van.

    FF hierover pluggen: http://www.debianfiles.org/documentation/en/articles/choosing.html (nog in opbouw)
  • [quote:ab8f41b1d8]Als er bijvoorbeeld een nieuwe gcc in unstable komt breken er heel erg veel packages, daar heb je in testing geen last van.[/quote:ab8f41b1d8]
    Waarom zouden packages breken?

    De enige problemen die ik mij kan voorstellen zijn bepaalde dependencies en juist dit probleem komt in testing naar voren.

    Stel je voor dat je versie++ van iets wilt installeren, deze versie depend op een library die met de nieuwe gcc moet worden gecompileerd. Echter de library heeft een bug waardoor hij niet compileert op een of ander vaag platform. Resultaat library mag niet in testing komen.

    Om terug te keren naar de applicatie die je wilde upgraden: als de upgrade is ivm met een bug of een usability probleem, kun je eindeloos wachten op de release van zowel de applicatie als de library.

    Dan maar liever upgrade maar raak voor een knaak. Ik heb in anderhalf jaar tijd twee dagen zonder gv moeten werken een paar maanden geleden. Op de mailinglist zie ik nog steeds wel eens testing gebruikers hier over klagen.

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.